# OpenSlides 3 Client

### Documentation Info

The documentation can be generated by running `npm run compodoc`.
A new web server will be started on http://localhost:8080
Once running, the documentation will be updated automatically.

You can run it on another port, with adding your local port after the
command. If no port specified, it will try to use 8080.

Please document new code using JSDoc tags.
See https://compodoc.app/guides/jsdoc-tags.html for details.

### Translation

We are using ngx-translate for translation purposes.
Use `npm run extract` to extract strings and update elements an with translation functions.

Language files can be found in `/src/assets/i18n`.

### Used software

OpenSlides uses the following software or parts of them:

- [@angular/animations@12.1.1](https://github.com/angular/angular), License: MIT
- [@angular/cdk-experimental@12.1.1](https://github.com/angular/components), License: MIT
- [@angular/cdk@12.1.1](https://github.com/angular/components), License: MIT
- [@angular/common@12.1.1](https://github.com/angular/angular), License: MIT
- [@angular/compiler@12.1.1](https://github.com/angular/angular), License: MIT
- [@angular/core@12.1.1](https://github.com/angular/angular), License: MIT
- [@angular/forms@12.1.1](https://github.com/angular/angular), License: MIT
- [@angular/material-moment-adapter@12.1.1](https://github.com/angular/components), License: MIT
- [@angular/material@12.1.1](https://github.com/angular/components), License: MIT
- [@angular/platform-browser-dynamic@12.1.1](https://github.com/angular/angular), License: MIT
- [@angular/platform-browser@12.1.1](https://github.com/angular/angular), License: MIT
- [@angular/router@12.1.1](https://github.com/angular/angular), License: MIT
- [@angular/service-worker@12.1.1](https://github.com/angular/angular), License: MIT
- [@ngx-pwa/local-storage@12.0.0](https://github.com/cyrilletuzi/angular-async-local-storage), License: MIT
- [@ngx-translate/core@13.0.0](https://github.com/ngx-translate/core), License: MIT
- [@ngx-translate/http-loader@6.0.0](https://github.com/ngx-translate/http-loader), License: MIT
- [@pebula/ngrid-material@4.0.0-alpha.3](undefined), License: UNKNOWN
- [@pebula/ngrid@4.0.0-alpha.3](https://github.com/shlomiassaf/ngrid), License: MIT
- [@pebula/utils@1.0.2](undefined), License: UNKNOWN
- [@tinymce/tinymce-angular@4.2.4](https://github.com/tinymce/tinymce-angular), License: Apache-2.0
- [@videojs/http-streaming@2.9.1](https://github.com/videojs/http-streaming), License: Apache-2.0
- [acorn@8.4.1](https://github.com/acornjs/acorn), License: MIT
- [chart.js@2.9.4](https://github.com/chartjs/Chart.js), License: MIT
- [core-js@3.15.1](https://github.com/zloirock/core-js), License: MIT
- [css-element-queries@1.2.3](https://github.com/marcj/css-element-queries), License: MIT
- [exceljs@4.1.1](https://github.com/exceljs/exceljs), License: MIT
- [file-saver@2.0.2](https://github.com/eligrey/FileSaver.js), License: MIT
- [jszip@3.5.0](https://github.com/Stuk/jszip), License: (MIT OR GPL-3.0)
- [lz4js@0.2.0](https://github.com/Benzinga/lz4js), License: ISC
- [material-design-icons-iconfont@6.1.0](https://github.com/jossef/material-design-icons-iconfont), License: Apache-2.0
- [moment@2.27.0](https://github.com/moment/moment), License: MIT
- [ng-particles@2.6.0](https://github.com/matteobruni/tsparticles), License: MIT
- [ng2-charts@2.4.0](https://github.com/valor-software/ng2-charts), License: ISC
- [ng2-pdf-viewer@6.4.1](git+https://vadimdez@github.com/VadimDez/ng2-pdf-viewer), License: MIT
- [ngx-device-detector@2.0.0](undefined), License: MIT*
- [ngx-file-drop@11.1.0](https://github.com/georgipeltekov/ngx-file-drop), License: MIT
- [ngx-mat-select-search@3.3.0](https://github.com/bithost-gmbh/ngx-mat-select-search), License: MIT
- [ngx-material-timepicker@5.5.3](https://github.com/Agranom/ngx-material-timepicker), License: MIT
- [ngx-papaparse@4.0.4](https://github.com/alberthaff/ngx-papaparse), License: MIT
- [npm-license-crawler@0.2.1](http://github.com/mwittig/npm-license-crawler), License: BSD-3-Clause
- [pdfjs-dist@2.5.207](https://github.com/mozilla/pdfjs-dist), License: Apache-2.0
- [pdfmake@0.1.68](https://github.com/bpampuch/pdfmake), License: MIT
- [po2json@1.0.0-beta-2](https://github.com/mikeedwards/po2json), License: LGPL-2.0-or-later
- [rxjs@6.6.7](https://github.com/reactivex/rxjs), License: Apache-2.0
- [tinymce@5.7.1](https://github.com/tinymce/tinymce-dist), License: LGPL-2.1
- [tslib@2.3.0](https://github.com/Microsoft/tslib), License: 0BSD
- [tsparticles@1.23.0](https://github.com/matteobruni/tsparticles), License: MIT
- [video.js@7.13.3](https://github.com/videojs/video.js), License: Apache-2.0
- [zone.js@0.11.4](https://github.com/angular/angular), License: MIT
- [@angular-devkit/build-angular@12.1.1](https://github.com/angular/angular-cli), License: MIT
- [@angular-devkit/schematics@12.1.1](https://github.com/angular/angular-cli), License: MIT
- [@angular/cli@12.1.1](https://github.com/angular/angular-cli), License: MIT
- [@angular/compiler-cli@12.1.1](https://github.com/angular/angular), License: MIT
- [@angular/language-service@12.1.1](https://github.com/angular/angular), License: MIT
- [@biesbjerg/ngx-translate-extract-marker@1.0.0](https://github.com/biesbjerg/ngx-translate-extract-marker), License: MIT
- [@biesbjerg/ngx-translate-extract@7.0.4](https://github.com/biesbjerg/ngx-translate-extract), License: MIT
- [@compodoc/compodoc@1.0.9](https://github.com/compodoc/compodoc), License: MIT
- [@schematics/angular@10.0.8](https://github.com/angular/angular-cli), License: MIT
- [@types/jasmine@3.6.11](https://github.com/DefinitelyTyped/DefinitelyTyped), License: MIT
- [@types/node@14.6.2](https://github.com/DefinitelyTyped/DefinitelyTyped), License: MIT
- [@types/yargs@15.0.5](https://github.com/DefinitelyTyped/DefinitelyTyped), License: MIT
- [codelyzer@6.0.0](https://github.com/mgechev/codelyzer), License: MIT
- [husky@4.2.5](https://github.com/typicode/husky), License: MIT
- [jasmine-core@3.8.0](https://github.com/jasmine/jasmine), License: MIT
- [karma-chrome-launcher@3.1.0](https://github.com/karma-runner/karma-chrome-launcher), License: MIT
- [karma-coverage@2.0.3](https://github.com/karma-runner/karma-coverage), License: MIT
- [karma-jasmine-html-reporter@1.5.4](https://github.com/dfederm/karma-jasmine-html-reporter), License: MIT
- [karma-jasmine@4.0.1](https://github.com/karma-runner/karma-jasmine), License: MIT
- [karma@6.3.4](https://github.com/karma-runner/karma), License: MIT
- [prettier@2.3.2](https://github.com/prettier/prettier), License: MIT
- [protractor@7.0.0](https://github.com/angular/protractor), License: MIT
- [resize-observer-polyfill@1.5.1](https://github.com/que-etc/resize-observer-polyfill), License: MIT
- [ts-node@9.0.0](https://github.com/TypeStrong/ts-node), License: MIT
- [tslint@6.1.3](https://github.com/palantir/tslint), License: Apache-2.0
- [tsutils@3.17.1](https://github.com/ajafff/tsutils), License: MIT
- [typescript@4.3.5](https://github.com/Microsoft/TypeScript), License: Apache-2.0
